<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Keyboard](./puppeteer.keyboard.md)

## Keyboard class

<b>Signature:</b>

```typescript
export declare class Keyboard 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(client)](./puppeteer.keyboard._constructor_.md) |  | Constructs a new instance of the <code>Keyboard</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [\_client](./puppeteer.keyboard._client.md) |  | [CDPSession](./puppeteer.cdpsession.md) |  |
|  [\_modifiers](./puppeteer.keyboard._modifiers.md) |  | number |  |
|  [\_pressedKeys](./puppeteer.keyboard._pressedkeys.md) |  | Set&lt;string&gt; |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [down(key, options)](./puppeteer.keyboard.down.md) |  |  |
|  [press(key, options)](./puppeteer.keyboard.press.md) |  |  |
|  [sendCharacter(char)](./puppeteer.keyboard.sendcharacter.md) |  |  |
|  [type(text, options)](./puppeteer.keyboard.type.md) |  |  |
|  [up(key)](./puppeteer.keyboard.up.md) |  |  |

